IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'ArchivedDate'
      AND Object_ID = Object_ID(N'BA_Instance'))
BEGIN
	ALTER TABLE BA_Instance DROP COLUMN [ArchieveDate]
	ALTER TABLE BA_Instance ADD [ArchivedDate] datetimeoffset NULL	
	ALTER TABLE BA_Instance DROP COLUMN [ArchievePrincipalId] 
	ALTER TABLE BA_Instance ADD [ArchivedPrincipalId] int NULL
END